Main:
 '$INCLUDE: 'qb.bi'
 DIM inregs AS RegTypeX
 DIM outregs AS RegTypeX
 IF COMMAND$ = "" THEN
  PRINT "FONT by Davey W Taylor"
  PRINT
  PRINT " Usage: FONT fontfile"
  END
 END IF
 PRINT "Initiating..."
 ON ERROR GOTO NoMem
  font$ = STRING$(256 * 16, 0)
 ON ERROR GOTO 0
 PRINT "Checking file..."
 ON ERROR GOTO NoFile
 OPEN COMMAND$ FOR INPUT AS #1
 IF LOF(1) <> 256 * 16 THEN PRINT "Error: A font-file must be exactly 256 * 16 bytes long!": END
 CLOSE #1
 ON ERROR GOTO 0
 PRINT "Loading font..."
 OPEN COMMAND$ FOR BINARY ACCESS READ AS #1
 GET #1, , font$
 CLOSE #1
 PRINT "Changing font..."
 inregs.ax = &H1100              'BIOS function to load new char definition
 inregs.bx = 16 * 256            '16 bytes/char - for 256 characters
 inregs.cx = 256                 'number of characters to change
 inregs.dx = 0                   'the character to change
 inregs.es = VARSEG(font$)       'segment of font
 inregs.bp = SADD(font$)         'offset of font
 CALL INTERRUPTX(&H10, inregs, outregs)
 PRINT "Done!"
 END
NoFile:
 PRINT "Error: Can't find font-file!"
 END
NoMem:
 PRINT "Error: Not enugh memory!"
 END

